#! /bin/sh
# build.sh - create the graphs for exercise 33
# usage: ./build.sh BETA N
#        where BETA is the inverse temperature and N the number of steps.
#        This creates file "out-BETA.ps".
# This needs the "graph" program from the GNU plotutils package.
b=${1:-0.2}
n=${2:-100000}
set -x
./xgibbs -b $b -o -n $n >out-g-$b-1
./xgibbs -b $b -o -n $n >out-g-$b-2
./xgibbs -b $b -o -n $n >out-g-$b-3
./xmetropolis -b $b -o -n $n >out-m-$b-1
./xmetropolis -b $b -o -n $n >out-m-$b-2
./xmetropolis -b $b -o -n $n >out-m-$b-3
graph -T PS -L "Ising model, \\*b=$b" -X "thousand steps" -Y "energy H" \
	-m 1 out-g-$b-1 -m 1 out-g-$b-2 -m 1 out-g-$b-3 \
	-m 4 out-m-$b-1 -m 4 out-m-$b-2 -m 4 out-m-$b-3 >out-$b.ps
