/* xmalloc.c - Memory allocation with error handling
 *
 * Copyright (C) 1996  Jochen Voss.
 *
 * keywords: xmalloc, xrealloc, xfree, malloc, memory allocation.  */

static const  char  rcsid[] = "$Id: xmalloc.c 5044 2003-07-09 08:02:23Z voss $";

#include <stdlib.h>

#include "v.h"


void *
xmalloc (size_t size)
/* Like `malloc', but check for shortage of memory.  `xmalloc' never
 * returns `NULL'.  */
{
  void *ptr = malloc (size);
  if (ptr == NULL)  fatal ("Memory exhausted");
  return  ptr;
}

void *
xrealloc (void *ptr, size_t len)
/* Like `realloc', but check for shortage of memory.  `xrealloc' never
 * returns `NULL'.  */
{
  void *tmp;

  if (ptr) {
    tmp = realloc (ptr, len);
  } else {
    tmp = malloc (len);
  }
  if (tmp == NULL)  fatal ("Memory exhausted");
  return  tmp;
}

void
xfree (void *ptr)
/* Another name for `free'.  */
{
  free (ptr);
}
