/* xising.h - common header file for xising
 *
 * Copyright (C) 1999, 2002  Jochen Voss.
 *
 * $Id: xising.h 5852 2004-07-13 20:02:05Z voss $ */

#ifndef FILE_XISING_H_SEEN
#define FILE_XISING_H_SEEN

#define  BOARD_WIDTH  512
#define  BOARD_HEIGHT  512

#include <X11/Xlib.h>

/* from "main.c" */
extern  Display *display;
extern  int  screen_num;
extern  GC  gc;

extern  double  beta;

/* from "image.c" */
struct image {
  XImage *data;
  Window  win;
  int  width, height;
  int  x_off, y_off;		/* image position within the window */
  int  energy, magn;
};

extern  struct image *new_image (Window, int width, int height);
extern  void  delete_image (struct image *);
extern  void  image_redraw (const struct image *, int x, int y, int w, int h);

extern  int  image_energy (const struct image *);
extern  int  image_magnetisation (const struct image *);

extern  void  image_fill_random (struct image *);
extern  void  image_fill_white (struct image *);
extern  void  image_fill_black (struct image *);

extern  int  image_equal (const struct image *, const struct image *);

/* from "gibbs.c" or "metropolis.c" */
extern  void  do_one_step (struct image *);

#endif /* FILE_XISING_H_SEEN */
